Subject: Re: bug#40250: 26.3; gdb-mode incorrectly handles gdb's `explore' command

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Mar 2020 18:55:26 +0300

> From: Vladimir Nikishkin <[email-masked]>
> Date: Mon, 30 Mar 2020 22:46:08 +0800
> 
> https://imgur.com/KaT64HS.png
> 
> I'm not exactly sure why and when this happens. For example, in this
> case I had to increase the magnification for this effect to manifest
> itself. But the point is that the query line is centre-justified,
> rather than being right-justified.
> 
> Maybe this doesn't happen when the font is smaller, but I am quite
> short-sighted.

This could be a problem with Python (the 'explore' command is
implemented in Python) and also related to the buffering of the pipe
used to communicate between Emacs and GDB.  Not sure.